/********************************************
                Font Family  
********************************************/

@font-face {
    font-family: bold;
    src: url('../fonts/bold.woff');
    font-weight: 800;
}

@font-face {
    font-family: regular;
    src: url('../fonts/regular.woff');
    font-weight: 400;
}


/********************************************
                Variables  
********************************************/

:root {
    --font-bold: bold;
    --font-regular: regular;
    --pp-white: #fff;
    --pp-black: #000;
    --pp-yellow: #ff9c16;
    --pp-yellow-light: #ff9500;
    --pp-background-color: #130e0e;
    --pp-gray: #d6dbe1;
}


/********************************************
               Typography 
********************************************/

body {
    margin: 0;
    font-family: var(--font-regular);
    font-size: 1rem;
    color: var(--pp-white);
    background-color: #fff;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

h1 {
    font-family: var(--font-bold);
    margin: 0;
}

h2 {
    font-family: var(--font-regular);
    margin: 0;
}

p {
    margin: 0;
}

ul li {
    list-style-position: inside;
}

section {
    padding-top: 30px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 100vh;
    display: flex;
    align-items: center;
    position: relative;
}


/********************************************
               Buttons
********************************************/

.btn-white {
    background-color: var(--pp-white);
    color: var(--pp-black);
    transition: all 0.3s ease-in-out;
    font-weight: 600;
    font-size: 15px;
}

.btn-pixel {
    background-color: var(--pp-yellow);
    transition: all 0.3s ease-in-out;
    font-weight: 600;
    font-size: 15px;
}

.btn-pixel:hover {
    background-color: var(--pp-yellow-light);
    transform: scale(1.1);
    transition: all 0.3s ease-in-out;
    font-weight: 600;
}

button:focus {
    outline: none;
}


/********************************************
                Text Gradient
********************************************/

.text-gradient {
    background: -webkit-linear-gradient(-45deg, #e5a31e, #f2db98, #8b3f18);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}


/********************************************
               Page Looader  
********************************************/

#loader {
    border: 12px solid var(--pp-yellow);
    border-radius: 50%;
    border-top: 12px solid #444444;
    width: 70px;
    height: 70px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

.center {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    z-index: 99;
}


/********************************************
               Banner Section  
********************************************/

.banner-section {
    background-image: url(../images/banner-bg.jpg);
}

.banner-section::before {
    position: absolute;
    content: '';
    top: -62px;
    left: 0px;
    right: 0;
    background-image: url(../images/banner-logo.png);
    width: 130px;
    height: 260px;
    background-size: contain;
    background-position: center;
    margin: auto;
    background-repeat: no-repeat;
}


/********************************************
               About Section  
********************************************/

.about-section {
    background-image: url(../images/about-bg.jpg);
}


/********************************************
               Purpose Section  
********************************************/

.purpose-section {
    background-image: url(../images/purpose-bg.jpg);
}

.cus-row {
    display: flex;
    align-items: center;
    min-height: 60vh;
}

.content-bg {
    background-image: url(../images/content-bg.png);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    width: 100%;
    min-height: 400px;
    padding: 20px 30px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}


/********************************************
               ICO Section  
********************************************/

section.ico-section {
    background: url(../images/compatible-bg.png);
    min-height: 200px;
}

.select_token .input-group-text {
    background-color: var(--pp-yellow-light) !important;
    border: 1px solid var(--pp-yellow) !important;
    height: 100%;
}


/********************************************
               Telegram Section  
********************************************/

.telegram-section {
    background-image: url(../images/telegram-bg.jpg);
}


/********************************************
               Distribution Section  
********************************************/

.distribution-section {
    background-image: url(../images/distribution-bg.jpg);
}

.distribution-img {
    max-width: 500px;
    display: block;
    margin: auto;
}


/********************************************
               Metaverse Section  
********************************************/

.metaverse-section {
    background-image: url(../images/metaverse-bg.png);
}


/********************************************
               Whitepaper Section  
********************************************/

.whitepaper-section {
    background-image: url(../images/whitepaper-bg.jpg);
}


/********************************************
               Wallet Section  
********************************************/

.wallet-section {
    background-image: url(../images/wallet-bg.jpg);
}


/********************************************
            Tezos Protocol Section  
********************************************/

.tezos-section {
    background-image: url(../images/tezos-bg.png);
}


/********************************************
            Techrate Protocol Section  
********************************************/

.techrate-section {
    background: url(../images/telegram-bg.jpg);
}

.techrate-certificate img {
    max-width: 200px;
    height: auto;
    object-fit: cover;
}

.textrate-img img {
    max-width: 150px;
    height: auto;
    object-fit: cover;
}


/********************************************
        Compatible Wallet Protocol Section  
********************************************/

.compatible-wallets-section {
    background: url(../images/compatible-bg.png);
}

.wallet-compatible li {
    list-style-position: outside
}


/********************************************
               Roadmap Section  
********************************************/

.roadmap-section {
    background: url(../images/roadmap-bg.jpg);
}


/********************************************
               Smart Contract Section  
********************************************/

.smartcontract-section {
    background: url(../images/smart-contract-bg.png);
}

.smartcontract-logo img {
    max-width: 250px;
}

.smartcontract-img img {
    max-width: 350px;
}


/********************************************
              Exchanges Section  
********************************************/

.exchanges-section {
    background-image: url(../images/exchanges-bg.png);
    background-color: var(--pp-black);
}

.exchanges-img img {
    max-width: 200px;
    height: auto;
    object-fit: cover;
}


/********************************************
               News Section  
********************************************/

.news-section {
    background: url(../images/news-bg.png);
}

.news-img {
    transition: all 1s linear;
}

.news-img img {
    max-width: 220px;
    transition: all 1s linear;
}

.news-img:hover img {
    cursor: pointer;
    animation: zoom 1.5s alternate infinite linear;
}

@keyframes zoom {
    0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.1);
    }
    75% {
        transform: scale(1);
    }
    100% {
        transform: scale(0.9);
    }
}


/********************************************
               Footer Section  
********************************************/

.footer {
    background: url(../images/footer-bg.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 300px;
    position: relative;
}

ul li a {
    text-decoration: none;
    color: var(--pp-white);
    margin-block: 5px;
    display: inline-block;
    font-size: 15px;
}

ul li a:hover {
    color: var(--pp-yellow);
}

.copyright-box a {
    text-decoration: none;
    color: var(--pp-white);
}

.copyright-box a:hover {
    color: var(--pp-yellow);
}

.footer-logo img {
    max-width: 100px;
}


/********************************************
        Login,Register,Forgot CSS  
********************************************/

section.register-login {
    background: var( --pp-background-color);
    padding-block: 25px;
}

.register-login-box {
    background: var(--pp-white);
    color: var(--pp-black);
    border-radius: 6px;
    padding: 20px 30px;
    box-shadow: 0 0 25px 0 rgb(0 0 0 / 5%);
}

.register-login-box .form-check-input {
    cursor: pointer;
}

.register-login-box .form-check-input:checked {
    background-color: var(--pp-yellow);
    border-color: var(--pp-yellow);
}

.register-login-box button:hover {
    transform: unset;
}

.register-login-box a {
    color: var(--pp-yellow);
    text-decoration: none;
    font-size: 14px;
}

.register-login-box label {
    font-size: 14px;
}

.register-login-box input:focus {
    box-shadow: 0 1px 5px rgb(80 82 88 / 10%);
    outline: none;
    border-color: #b1becc;
    color: #505258;
}

.register-login-box a:hover {
    text-decoration: underline;
}

.register-login-box span {
    font-size: 15px;
}

.register-login-box input {
    font-size: 15px;
}

.links-box {
    color: var(--pp-gray);
    font-size: 12px;
    font-weight: 500;
}

.links-box a {
    color: var(--pp-gray);
    text-decoration: none;
}

.links-box a:hover {
    text-decoration: underline;
}


/********************************************
               Media Query  
********************************************/

@media all and (min-width:320px) and (max-width:767px) {
    section {
        min-height: auto;
        padding-bottom: 30px;
    }
    .banner-section::before {
        left: 0;
        right: 0;
        margin: 0 0 0 auto;
    }
    .banner-content {
        margin-top: 145px;
        position: relative;
    }
    section.ico-section {
        padding: 10px 10px;
    }
    .smartcontract-img img {
        max-width: 300px;
    }
}